#include <bits/stdc++.h>
using namespace std;
int main(){
vector <string> a(3);
for(int i=0;i<3;i++){
cin >>a[i];
}
string x;
sort(a.begin(),a.end());
while(next_permutation(a.begin(),a.end())){
string cpy="";
for(int i=0;i<3;i++)cpy+=a[i];
x=max(x,cpy);
}
cout <<x<<endl;

}